Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deRender.cpp File Reference

High-level Rendering interface. More...

`#include <windows.h>`
`#include "deRender_priv.hpp"`
`#include "deCamera.hpp"`
`#include "de2D.hpp"`
`#include "deBrush.hpp"`
`#include "dePortal.hpp"`
`#include "deMath.hpp"`
`#include "deDriver.hpp"`
`#include "deProfile.hpp"`

Include dependency graph for deRender.cpp:

## Functions
deBoolean | IdeRender_Initialize ()
| initialize the Render system
IdeRender * | IdeRender_GetPtr ()
| get a pointer to an IdeRender singleton.
void | IdeRender_Destroy ()
| destroy the IdeRender singleton
void | IdeRender_DestroyDriverLinkages ()
| release all drivers held by IdeDriver
IdeDriver::BPP | MatchBackToFront (IdeDriver::BPP Back, IdeDriver::BPP Front)
IdeDriver::BPP | CycleBPP (IdeDriver::BPP Input)
## Variables
long | RenderProfileID = 0

## Detailed Description

High-level Rendering interface.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Feb 2002

Author:
  Assassin

Remarks:
  Initial Creation

Date:
  Oct 2002

Author:
  Assassin

Remarks:
  Main rendering code moved to RenderCode.cpp

## Function Documentation

IdeDriver::BPP CycleBPP | ( | IdeDriver::BPP | Input | ) | `[static]`

void IdeRender_Destroy | ( |  | ) |

| destroy the IdeRender singleton

void IdeRender_DestroyDriverLinkages | ( |  | ) |

| release all drivers held by IdeDriver

IdeRender* IdeRender_GetPtr | ( |  | ) |

| get a pointer to an IdeRender singleton.

deBoolean IdeRender_Initialize | ( |  | ) |

| initialize the Render system

IdeDriver::BPP MatchBackToFront | ( | IdeDriver::BPP | Back,
|  | IdeDriver::BPP | Front
| ) | `[static]`

## Variable Documentation

long RenderProfileID = 0